package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcCy;
import com.ruoyi.tcZz.domain.TcXtjc;

/**
 * 系统监测Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcXtjcService 
{
    /**
     * 查询系统监测
     * 
     * @param id 系统监测主键
     * @return 系统监测
     */
    public TcXtjc selectTcXtjcById(Long id);

    /**
     * 查询系统监测列表
     * 
     * @param tcXtjc 系统监测
     * @return 系统监测集合
     */
    public List<TcXtjc> selectTcXtjcList(TcXtjc tcXtjc);

    /**
     * 新增系统监测
     * 
     * @param tcXtjc 系统监测
     * @return 结果
     */
    public int insertTcXtjc(TcXtjc tcXtjc);

    /**
     * 修改系统监测
     * 
     * @param tcXtjc 系统监测
     * @return 结果
     */
    public int updateTcXtjc(TcXtjc tcXtjc);

    /**
     * 批量删除系统监测
     * 
     * @param ids 需要删除的系统监测主键集合
     * @return 结果
     */
    public int deleteTcXtjcByIds(Long[] ids);

    /**
     * 删除系统监测信息
     * 
     * @param id 系统监测主键
     * @return 结果
     */
    public int deleteTcXtjcById(Long id);



    /**
     * 导入系统监测信息
     *
     * @return 结果
     */
    public String importUser(List<TcXtjc> tcXtjcList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
